[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# TVersionStringTable.Values

Array of values in the object, accessed by key

## Declaration

Source position: versiontypes.pp line 99

`public property TVersionStringTable.Values[Key: string] : string read GetValue write SetValue; default;`

## Description

This property can be used to retrieve the value of an item when the corresponding key is known.

If you need to iterate over all values of the string table, use ValuesByIndex instead.

If the key is not found, an EKeyNotFoundException exception is raised.

## See also

TVersionStringTable.Keys |  | Indexed array of keys in the object
TVersionStringTable.ValuesByIndex |  | Indexed array of values in the object